# This file is generated by cargo2rulesmk.py --run --config cargo2rulesmk.json.
# Do not modify this file as changes will be overridden on upgrade.

LOCAL_DIR := $(GET_LOCAL_DIR)
MODULE := $(LOCAL_DIR)
MODULE_CRATE_NAME := pkcs1
MODULE_SRCS := \
	$(LOCAL_DIR)/src/lib.rs \

MODULE_RUST_EDITION := 2021
MODULE_RUSTFLAGS += \
	--cfg 'feature="alloc"' \
	--cfg 'feature="pkcs8"' \
	--cfg 'feature="zeroize"' \

MODULE_LIBRARY_DEPS := \
	external/rust/crates/der \
	external/rust/crates/pkcs8 \
	external/rust/crates/spki \
	external/rust/crates/zeroize \

include make/library.mk
